## Intro

The given scripts can check if a json file adheres to the format restrictions by the FieldPlacer API. It can check input and output files (although input files are the more likely use case). Running the validators will tell you if they are valid or give hints what to fix.

## Usage

```
$ npm install
$
$ node checkInput.js my_mixedplanner_input_file
$ node checkInput_shift.js my_shiftplanner_input_file
$ node checkInput_floor.js my_floorplanner_input_file
$
$ node checkOutput.js my_mixedplanner_output_file
$ node checkOutput_shift.js my_shiftplanner_output_file
$ node checkOutput_floor.js my_floorplanner_output_file
```

## Examples

valid file:

```
$ node checkInput.js valid_file.json
$ http://api.adiutabyte.de/schema/vDEV_VERSION/mixedplanner/input_plan.json
$ validated plan
$ Execution time (hr): 0s 109.028652ms
```

invalid file:

```
$ node checkInput.js invalid_file.json
$ http://api.adiutabyte.de/schema/vDEV_VERSION/mixedplanner/input_plan.json
$ caught ValidationError
$ [
$   {
$     instancePath: '/parameters',
$     schemaPath: '#/additionalProperties',
$     keyword: 'additionalProperties',
$     params: { additionalProperty: 'taskPrefs' },
$     message: 'must NOT have additional properties'
$   }
$ ]
```

This indicates that there is a field `taskPrefs` somewhere within the object `parameters`. This is not allowed by the schema.
